Bug 1860354 (CVE-2020-14399) - CVE-2020-14399 libvncserver: byte-aligned data is accessed through uint32_t pointers in libvncclient/rfbproto.c
Summary: CVE-2020-14399 libvncserver: byte-aligned data is accessed through uint32_t p...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-14399
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1860355 1860356
Blocks: 1860332
TreeView+ depends on / blocked
 
Reported: 2020-07-24 11:21 UTC by Marian Rehak
Modified: 2020-07-31 22:36 UTC (History)
4 users (show)

Fixed In Version: libvncserver 0.9.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-29 19:32:05 UTC


Attachments (Terms of Use)

Description Marian Rehak 2020-07-24 11:21:47 UTC
An issue was discovered in LibVNCServer before 0.9.13. Byte-aligned data is accessed through uint32_t pointers in libvncclient/rfbproto.c.

Upstream commit:

https://github.com/LibVNC/libvncserver/commit/23e5cbe6b090d7f22982aee909a6a618174d3c2d

Comment 1 Marian Rehak 2020-07-24 11:22:20 UTC
Created libvncserver tracking bugs for this issue:

Affects: epel-7 [bug 1860355]
Affects: fedora-all [bug 1860356]

Comment 3 Todd Cullum 2020-07-28 00:56:53 UTC
This bug seems to be much more a reliability issue than a security one.

Comment 4 Todd Cullum 2020-07-29 19:11:51 UTC
After speaking with upstream, I'm going to set this as not a security issue because there is no known path of exploitation or trust boundary crossing.

Comment 5 Todd Cullum 2020-07-29 19:11:55 UTC
Statement:

This flaw does not affect versions of vino shipped with Red Hat Enterprise Linux 6, 7, or 8 because vino does not ship the libvncclient. Additionally, Red Hat Product Security does not consider this to be a security vulnerability because no trust boundary is crossed and there is no known path of exploitation. This is a standard software reliability bug.


Note You need to log in before you can comment on or make changes to this bug.